commit:     f16fa6fa92c86e62f7e34c94b9508c1f29cccff7
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 22 17:26:56 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Dec 22 18:09:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f16fa6fa

dev-python/ipyparallel: add 8.1.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/ipyparallel/Manifest                 |  1 +
 dev-python/ipyparallel/ipyparallel-8.1.0.ebuild | 86 +++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/dev-python/ipyparallel/Manifest b/dev-python/ipyparallel/Manifest
index d356d0d95a7a..b77cd4ecd70d 100644
--- a/dev-python/ipyparallel/Manifest
+++ b/dev-python/ipyparallel/Manifest
@@ -1,2 +1,3 @@
 DIST ipyparallel-6.3.0.tar.gz 2380153 BLAKE2B 
b8312102e1d2b5fc963491ebe8530e2fd73e9f941f7912fbc72a8db51e7255f5cac95a853d15a57e384926ab1aff27f2a3ad13cc45130a8b612be5dc623538ab
 SHA512 
fe621854b9cc3e5f88aeca2b06b63bb689dd2feee0da451a0a90800d8832f4b44b23bb9a15033029cc33179276f31e982a10fc7540e6d13b04f15d96c348a295
 DIST ipyparallel-7.1.0.tar.gz 4029033 BLAKE2B 
badf4bdad0dca0898e62abee3e5a48b06460160bd1f2ae096bc05beb00dbd6dc2b52681aa699d69a76f5a51e4cd3f0bb107fa6b1d20109e76bc78da8f08b69f9
 SHA512 
9a629bd92176dbace1724efe0a5a698b2d684128567513f8809fd25e4901227d1c7fc7b02427fd3c14b3743b47956ff8387098a1cc8759d8987aa5e3d8ca60d5
+DIST ipyparallel-8.1.0.tar.gz 9365732 BLAKE2B 
847931de17f61b537a6350358a1fcc8e629b843e1216fcc0f60333f7baf42b0739f864bd1a02daefb839b90cfb4c65b6101de3271e89d529dd8493513b686ced
 SHA512 
21e1d3d9e04c7567889e923ff0f1b140251518efd331dd2180a42142eedbb4c92eaeafce17bf2287e1d36ef4e5951f2f50021d9b9a96c266e4e94e1a3ac34347

diff --git a/dev-python/ipyparallel/ipyparallel-8.1.0.ebuild 
b/dev-python/ipyparallel/ipyparallel-8.1.0.ebuild
new file mode 100644
index 000000000000..773096505343
--- /dev/null
+++ b/dev-python/ipyparallel/ipyparallel-8.1.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Interactive Parallel Computing with IPython"
+HOMEPAGE="https://ipyparallel.readthedocs.io/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       dev-python/entrypoints[${PYTHON_USEDEP}]
+       dev-python/decorator[${PYTHON_USEDEP}]
+       >=dev-python/pyzmq-18[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-4.3[${PYTHON_USEDEP}]
+       >=dev-python/ipython-4[${PYTHON_USEDEP}]
+       dev-python/jupyter_client[${PYTHON_USEDEP}]
+       >=dev-python/ipykernel-4.4[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+       dev-python/tqdm[${PYTHON_USEDEP}]
+       >=www-servers/tornado-5.1[${PYTHON_USEDEP}]
+       "
+BDEPEND="${RDEPEND}
+       test? (
+               dev-python/ipython[test]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/pytest-tornado[${PYTHON_USEDEP}]
+               dev-python/testpath[${PYTHON_USEDEP}]
+       )
+       "
+
+# TODO: package myst_parser
+# distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-7.1.0-test-timeouts.patch
+)
+
+python_test() {
+       local deselect=(
+               # we don't run a mongo instance for tests
+               ipyparallel/tests/test_mongodb.py::TestMongoBackend
+               # TODO
+               ipyparallel/tests/test_util.py::test_disambiguate_ip
+               ipyparallel/tests/test_view.py::TestView::test_temp_flags
+               ipyparallel/tests/test_view.py::TestView::test_unicode_apply_arg
+               
ipyparallel/tests/test_view.py::TestView::test_unicode_apply_result
+               ipyparallel/tests/test_view.py::TestView::test_unicode_execute
+               
ipyparallel/tests/test_view.py::TestView::test_sync_imports_quiet
+               # Gets upset that a timeout _doesn't_ occur, presumably because
+               # we're cranking up too many test timeouts. Oh well.
+               # bug #823458#c3
+               
ipyparallel/tests/test_asyncresult.py::AsyncResultTest::test_wait_for_send
+               # We could patch the timeout for these too but they're going to 
be inherently
+               # fragile anyway based on what they do.
+               ipyparallel/tests/test_client.py::TestClient::test_activate
+               
ipyparallel/tests/test_client.py::TestClient::test_lazy_all_targets
+               
ipyparallel/tests/test_client.py::TestClient::test_wait_for_engines
+       )
+       [[ ${EPYTHON} == python3.10 ]] && deselect+=(
+               # failing due to irrelevant warnings
+               
ipyparallel/tests/test_client.py::TestClient::test_local_ip_true_doesnt_trigger_warning
+               
ipyparallel/tests/test_client.py::TestClient::test_warning_on_hostname_match
+       )
+       epytest ${deselect[@]/#/--deselect }
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       # move /usr/etc stuff to /etc
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+       optfeature "Jupyter Notebook integration" dev-python/notebook
+}

Reply via email to